Core resources
Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgetsBooking flow
Query availabilitySearch availabilityBookCart validateCart checkoutFetch the availability of multiple products over a long period of time.
perform_syncbooleanWhether to sync external calendars before fetching availability. Defaults to false
product_idsArray<uuid>The product IDs to fetch availability for.
show_booked_as"booked" | "unavailable"How to interpret confirmed bookings. Defaults to unavailable
show_closed_as"closed" | "unavailable"How to interpret blocked / closed periods. Defaults to unavailable
show_pending_as"CANCELLED" | "TENTATIVE" | "CONFIRMED"How to interpret pending events. Defaults to TENTATIVE
200TypeScript
Array<{
product_id: uuid;
intervals: Array<{
start: string;
end: string;
status: "available" | "tentative" | "unavailable" | "booked" | "reserved";
}>
}>GET /availabilitycurl -X GET "https://api.bookingmood.com/v1/availability?product_id=00000000-0000-0000-0000-000000000000" \
-H "Authorization: Bearer YOUR_API_KEY"JSON
[
{
"product_id": "00000000-0000-0000-0000-000000000000",
"intervals": [
{
"start": "2026-08-01T13:58:21.065Z",
"end": "2026-08-05T13:58:21.065Z",
"status": "unavailable"
},
{
"start": "2026-08-05T13:58:21.065Z",
"end": "2026-11-09T13:58:21.065Z",
"status": "available"
}
]
}
]Bookingmoodを活用して、直接予約を増やし、ゲストとのより強固な関係を築いている1200社以上の独立系バケーションレンタル事業者に加わりましょう。